Bug 3970 - [UPDATE REQUEST] drakxtools-14.46-8
: [UPDATE REQUEST] drakxtools-14.46-8
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-15 16:52 MSD by Konstantin Vlasov
Modified: 2014-05-13 09:36 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2014-04-15 16:52:34 MSD
drakxtools updated so that created partitions are always aligned by 1 MB boundaries instead of cylinder boundaries (which now don't have much meaning anyway).

How to test:
1. Start diskdrake or draklive-install, create an arbitrary partitioning scheme, save it to disk.
2. Check that "parted -l" and "fdisk -l" display exactly the same list of partitions that was created, and that there are no messages about an invalid partition table.
3. Analyze the "fdisk -l" output checking for each newly created partition that:
a) the "Start" value is a multiple of 2048 (number of sectors in 1 Mb);
b) the "End" value plus 1 is a multiple of 2048 (it's the position of the last sector, that's why you should add 1 to it);
c) the "Blocks" value has no "+" sign beside it, and is a multiple of 1024 (it's shown in KBs instead of sectors).
Comment 1 Konstantin Vlasov 2014-04-15 16:53:55 MSD
https://abf.rosalinux.ru/build_lists/1792716
https://abf.rosalinux.ru/build_lists/1792717

Advisory: Aligning new partitions to 1 MB boundaries instead of outdated cylinder alignments. Starting position is also now specified in MBs.
Comment 2 Vladimir Potapov 2014-04-17 18:02:49 MSD
drakxtools-14.46
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1792716/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1792717/x86_64/main/release/
********************** Advisory *******************
Aligning new partitions to 1 MB boundaries instead of outdated cylinder alignments. Starting position is also now specified in MBs
***************************************************
QA Verified